AbstractDynamicMBean (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.jmx
Class AbstractDynamicMBean

    java.lang.Object
      org.apache.log4j.jmx.AbstractDynamicMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration

Direct Known Subclasses:
  AppenderDynamicMBean, HierarchyDynamicMBean, LayoutDynamicMBean, LoggerDynamicMBean

    public abstract class AbstractDynamicMBean

extends Object
implements javax.management.DynamicMBean, javax.management.MBeanRegistration

Constructor Summary
`AbstractDynamicMBean()`

Method Summary
`protected static String` | `getAppenderName(Appender appender)` Get MBean name.
`javax.management.AttributeList` | `getAttributes(String[] attributeNames)` Enables the to get the values of several attributes of the Dynamic MBean.
`protected abstract Logger` | `getLogger()`
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()` Performs cleanup for deregistering this MBean.
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`protected void` | `registerMBean(Object mbean, javax.management.ObjectName objectName)` Registers MBean instance in the attached server.
`javax.management.AttributeList` | `setAttributes(javax.management.AttributeList attributes)` Sets the values of several attributes of the Dynamic MBean, and returns the list of attributes that have been set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getMBeanInfo, invoke, setAttribute`

Constructor Detail

### AbstractDynamicMBean

    public AbstractDynamicMBean()

Method Detail

### getAppenderName

    protected static String getAppenderName(Appender appender)

  Get MBean name.

  Parameters:
    `appender` - appender, may not be null.
  Returns:
    name.
  Since:
    1.2.16

### getAttributes

    public javax.management.AttributeList getAttributes(String[] attributeNames)

  Enables the to get the values of several attributes of the Dynamic MBean.

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList attributes)

  Sets the values of several attributes of the Dynamic MBean, and returns the list of attributes that have been set.

  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

### getLogger

    protected abstract Logger getLogger()

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### registerMBean

    protected void registerMBean(Object mbean,
                                 javax.management.ObjectName objectName)
                          throws javax.management.InstanceAlreadyExistsException,
                                 javax.management.MBeanRegistrationException,
                                 javax.management.NotCompliantMBeanException

  Registers MBean instance in the attached server. Must NOT be called before registration of this instance.

  Throws:
    `javax.management.InstanceAlreadyExistsException`
    `javax.management.MBeanRegistrationException`
    `javax.management.NotCompliantMBeanException`

### preDeregister

    public void preDeregister()

  Performs cleanup for deregistering this MBean. Default implementation unregisters MBean instances which are registered using `registerMBean(Object mbean, ObjectName objectName)`.

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.